<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kiisoo.ic.promotion.mapper.PmnPromotionSrcMapper">
    <!--拉黑-->

    <select id="queryList" resultType="com.kiisoo.ic.promotion.entity.PmnPromotionSrcVO">
    SELECT
     c.name, b.staff_code, c.mobile,d.name store_name, b.type, a.code
    FROM
        pmn_promotion_src a
        LEFT JOIN poi_store_staff b ON a.promoter_id = b.id
        LEFT JOIN privilage_user c ON b.user_id = c.id
        LEFT JOIN poi_store d ON b.store_id = d.id
    WHERE
        a.type = 1 AND b.store_id = #{storeId} and a.instance_id=#{instanceId}
    </select>

</mapper>
